<div class="header-block-page">
	<div class="container-fluid">
		<div class="row">
			<div class="col-12"><h1>Properties for sale</h1></div>
		</div>
	</div>
</div>

<div class='content property' id="map-view">
	<div class="container-fluid">
		<?php echo $this->Element('property-view-options', array('hide_sort' => true)); ?>
		<div class="row">
			<div class="col-md-12">
				<p class="alert-warning">
					Please note that only the first <?php echo Configure::read('SiteSetting.max_map_properties'); ?> propeties will be shown.
					Please use the filters to the left to refine your search.
				</p>
			</div>
		</div>
		<div class="row">
			<div class="col-md-3">
				<?php echo $this->Element('property-filters'); ?>
			</div>

			<div class="col-md-9">
				<?php if (!empty($properties)): ?>
						<div class="multi-marker-map" id="property-map" data-locations="map-locations" data-zoomLevel="5" data-marker="/theme/Site/img/locator.png" style="height: 580px;"></div>
						<div id="map-locations" class="hidden">
							<?php foreach ($properties as $property): ?>
								<?php $elementId = 'property-info-' . $property['Property']['id']; ?>
								<div
									class="map-location"
									data-lat="<?php echo $property['Property']['latitude']; ?>"
									data-long="<?php echo $property['Property']['longitude']; ?>"
									data-overlay="<?php echo $elementId; ?>"
									>
								</div>
							<?php endforeach; ?>
						</div>
						<div class="map-overlays hidden">
							<?php foreach ($properties as $property): ?>
								<?php $elementId = 'property-info-' . $property['Property']['id']; ?>
								<div class="map-overlay" id="<?php echo $elementId; ?>" style="height: 190px;">
									<div class="row">
										<div class="col-md-6">
											<?php if (isset($property['Image'][0])): ?>
												<a href="<?php echo $this->Html->url(array('controller' => 'properties', 'action' => 'view', $property['Property']['id'])); ?>" class="property-details-image">
													<?php echo $this->Image->resize($property['Image'][0], array('crop' => true, 'class' => 'full')); ?>
													<div class="img-count"><i class="fa fa-camera"></i> <?php echo count($property['Image']); ?></div>
												</a>
											<?php endif; ?>
										</div>
										<div class="col-md-6">
											<a href="<?php echo $this->Html->url(array('controller' => 'properties', 'action' => 'view', $property['Property']['id'])); ?>">
												<div class="row property-details-header">
													<div class="col-md-12">
														<div class="row">
															<div class="col-md-5 col-sm-12 gutterless--right">
																<h2><?php echo $this->Number->currency($property['Property']['price'], 'GBP', array('places' => 0)); ?></h2>
																<span class="hidden-sm">&nbsp;|&nbsp;</span>
															</div>
															<div class="col-md-7 col-sm-12 gutterless--left">
																<span><?php echo $property['Property']['bedrooms']; ?> bedroom <?php echo $property['Property']['type']; ?></span>
																<i class="fa fa-caret-right"></i>
															</div>
														</div>
													</div>
												</div>
											</a>
											<div class="row property-details-body">
												<h3><?php echo implode(', ', array($property['Property']['street'], $property['Property']['town'], $property['Property']['county'])); ?></h3>
												<p>
													<?php echo $this->Text->truncate($property['Property']['description'], 150); ?>
												</p>
											</div>
										</div>
									</div>
								</div>
							<?php endforeach; ?>
						</div>
					<?php endif; ?>
			</div>
		</div>
	</div>
</div>

